#!/usr/bin/perl -w

use CGI qw(:standard :html3 :netscape);
use CGI::Carp;
use DBI();

$nrnpc=param("nrnpc");



# Basic thing #####################################################
# 
$bgcolor1="#ffffff";
$bgcolor2="#eeffee";

$guardcol="<font color=#ff00ff>";
$goodcol="<font color=#0000ff>";
$evilcol="<font color=#ff0000>";
$neutralcol="<font color=#666666>";
$healercol="<font color=#009900>";

# AI
@desc_ai{"0","1","2","3","4","5","8","B","C","17","20","32"} = ("$neutralcol neutral [0]","$healercol healer [1]","$evilcol monster [2]","$evilcol evil healer [3]","$guardcol guard [4]","$neutralcol beggar [5]","$goodcol banker [8]","$guardcol guard - no teleport [B]","$goodcol Decorative Blue [C]","$neutralcol Player vendor [17]","$goodcol Pet Guarding [20]","$evilcol Attack everything [32]");
@wander{"0","1","2","3","4","5"} = ("stay [0]","follow defined target [1]","wander in circle [2]","wander in a box [3]", "wander freely [4]", "flee [5]"); 
@priv1{"1","2","4","8","64","128","129"}=("GM clearance [1]","Broadcast [2]","Invulnerable [4]","single click serial numbers [8]", "Can snoop others packs [64]", "Counselor clearance [128]", "GM or Conselour [129]");



# Top Header #######################################################

$top = "";

# Menu #############################################################

$menu = "";

# Body #############################################################

my $dbh = DBI->connect("DBI:mysql:database=lonewolfdb;host=localhost",
                                "root", "mypwd",
                                {'RaiseError' => 1});


my $sth = $dbh->prepare("SELECT * from NPC where num_npc='".$nrnpc."'");
$sth->execute();
         
if ($sth->rows > 0){
		
	while (my $myrow = $sth->fetchrow_hashref()) {

		
		# wander mode:
		if ($myrow->{'wander_npc'} eq "2"){
			$wander{$myrow->{'wander_npc'}}.= " (radius=".$myrow->{'fx2_npc'}.")";
		}
		if ($myrow->{'wander_npc'} eq "3"){
			$wander{$myrow->{'wander_npc'}}.= " (coord=". $myrow->{'fx1_npc'}." ".$myrow->{'fy1_npc'}." ".$myrow->{'fz1_npc'}." ".$myrow->{'fx2_npc'}.")";
		}

		# npc AI
		if (!$desc_ai{$myrow->{'npcai_npc'}}){
			 $desc_ai{$myrow->{'npcai_npc'}}="Not Defined";	
		}
			


		# Fama
		if ($myrow->{'fame_npc'} > 0){ $famecol = $goodcol; } else { $famecol = $evilcol;}
		
		# Karma
		if ($myrow->{'karma_npc'} > 0){ $karmacol = $goodcol; } else { $famecol = $evilcol;}

	
		
	
		$body.=	"<table width=95% bgcolor=#000000 cellspacing=1 cellpadding=2>";

		$body.= "<tr bgcolor=#002184 align=center><td colspan=4><font color=yellow>".$myrow->{'desc_npc'}." - [".$myrow->{'num_npc'}."]";

		$body.= "<tr bgcolor=$bgcolor2>".
			"<td><font color=black>Category:<td align=center>".$myrow->{'category_npc'}."<td><font color=black>SubCat:<td align=center>".$myrow->{'subcategory_npc'}.

			"<tr  bgcolor=$bgcolor1>".
			"<td><font color=black>Speech:<td align=center>".$myrow->{'speech_npc'}.
			"<td><font color=black>Namelist:<td align=center>".$myrow->{'namelist_npc'}.

			"<tr bgcolor=$bgcolor2 >".
			"<td><font color=black>Id:<td align=center>".$myrow->{'id_npc'}.
			"<td><font color=black>Skin:<td align=center>".$myrow->{'skin_npc'}.

			"<tr bgcolor=$bgcolor2>".
			"<td><font color=black>Str:<td align=center>".$myrow->{'strmin_npc'}." - ".$myrow->{'strmax_npc'}.
			"<td><font color=black>Dex:<td align=center>".$myrow->{'dexmin_npc'}." - ".$myrow->{'dexmax_npc'}.

			"<tr  bgcolor=$bgcolor1>".
			"<td><font color=black>Int:<td align=center>".$myrow->{'intmin_npc'}." - ".$myrow->{'intmax_npc'}.
			"<td><font color=black>Gold:<td align=center>".$myrow->{'goldmin_npc'}." - ".$myrow->{'goldmax_npc'}.

			"<tr bgcolor=$bgcolor2>".
			"<td><font color=black>Fame:<td align=center>$karmacol".$myrow->{'fame_npc'}.
			"<td><font color=black>Karma:<td align=center>$famecol".$myrow->{'karma_npc'}.

			"<tr  bgcolor=$bgcolor1>".
			"<td><font color=black>Damage:<td align=center>".$myrow->{'damagemin_npc'}." - ".$myrow->{'damagemax_npc'}.
			"<td><font color=black>Defense:<td align=center>".$myrow->{'def_npc'}.

			"<tr bgcolor=$bgcolor2>".
			"<td><font color=black>Poison:<td colspan=3 align=center>".$myrow->{'poison_npc'}.

			"<tr  bgcolor=$bgcolor1>".
			"<td><font color=black>Spell Attack:<td align=center>".$myrow->{'spattack_npc'}."<td><font color=black>Spell Delay:<td align=center>".$myrow->{'spadelay_npc'}.
			
			"<tr bgcolor=$bgcolor2>".
			"<td><font color=black>Npc AI:<td colspan=3 align=center>".$desc_ai{$myrow->{'npcai_npc'}}.

			"<tr  bgcolor=$bgcolor1>".
			"<td><font color=black>Wander:<td colspan=3 align=center>".$wander{$myrow->{'wander_npc'}}.

			"<tr bgcolor=$bgcolor2>".
			"<td><font color=black>To Tame:<td align=center>".$myrow->{'totame_npc'}."<td><font color=black>Shopkeeper:<td  align=center>".$myrow->{'shopkeeper_npc'}.
			"</table>";

	}
}

$sth->finish();
$dbh->disconnect();




# Main Page Generation #############################################

print header();
print start_html(
	-title=>"Gianmarco Uo Page",
	-author=>"Gianmarco",
	-dtd=>"-//W3C//DTD HTML 3.2//EN",
	-style=>{-src=>"./css/uo.css"},
	-script=>{-src=>"./scripts/functions.js"},
	-background=>"./pics/background.jpg",);

print table({-align=>"center", -width=>"95%", -border=>"0", -cellspacing=>"10", -cellpadding=>"0", -bordercolor=>"black"},
			Tr({-align=>"center", -valign=>"top"},
				td($body ),
			)
	  );
