/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined(__COMBAT_H__)
#define __COMBAT_H__

// Platform specifics
#include "platform.h"
#include "typedefs.h"

class cCombat
{
private:
	void ItemCastSpell(P_CHAR Attacker, P_CHAR Target, P_ITEM pi);
	int  TimerOk(P_CHAR pc);
	void ItemSpell(cChar* Attacker, cChar* Defender);
	void doSoundEffect(P_CHAR pc, int fightskill, P_ITEM pWeapon);//AntiChrist
	void doMissedSoundEffect(P_CHAR pc);//AntiChrist
	void DoCombatAnimations(P_CHAR pc_attacker, P_CHAR pc_defender, int fightskill, int bowtype, int los);
	void CombatHit(P_CHAR Attacker, P_CHAR Defender, short los);
	int	 CalcAtt(P_CHAR pc);
	bool canDoRangedAttack(P_CHAR Attacker, int fightskill, int bowtype);
public:
	int  CalcDef(P_CHAR pc, int x);
	void CombatOnHorse(P_CHAR pc);
	void CombatOnFoot(P_CHAR pc);
	void DoCombat(P_CHAR Attacker, unsigned int currenttime);
};

#endif

