
#ifndef ___grugru___
#define ___grugru___

#include "coord.h"

#include <string>
#include <vector>
#include <algorithm>
#include <iostream>
#include <fstream>
#include <streambuf>
#include <string>
#include <iterator>
#include <algorithm>
#include <sstream>
#include <map>
#include "items.h"

#define NEW_DEAD__OLD_DEAD 0
#define NEW_ALIFE__OLD_DEAD 1
#define NEW_DEAD__OLD_ALIFE 2
#define NEW_ALIFE__OLD_ALIFE 3
#define ALIFEMASK_NEW 1
#define ALIFEMASK_OLD 2


class cRangebox
{
  public:
	 cRangebox::cRangebox(void);
	 inline void addPoint(int x, int y);    // update box when adding a point in universe
	 inline void getBox(int &xmin, int &ymin, int&xmax, int &ymax);
	 inline void setBox(int xmin, int ymin, int xmax, int  ymax);
	 void resetBox(void);

  private:
    int curr_max_x;
	int curr_max_y;
	int curr_min_x;
	int curr_min_y;
};


class cLife
{

 public:

  bool loadFile(int patternnum);
  cLife::cLife(int pattern, int universSize, cCoord center, int scriptnum, int interval, int e1,int e2, int e3, int e4);
  void print(void); // debug
  void calcNextGen(void);
  int getGeneration(void) { return generation; }
  bool timerOk(unsigned long int currtime);  
  int getSeedSerial(void) {return seedItemserial;}
  int getResetAt(void) { return effekt1; }
  bool getError(void) { return error; }
  void restart(void);
  cLife::~cLife(void);

  private:	
	
	bool error;
	int pattern;
	int size;
	int p_ofs; // "const" for transformation to array positions (size /2)

	cCoord center;
    char **Universe;
    char **tmpUniverse;
	std::map<std::pair<short, short>,int> sers;

	cRangebox box;
	cRangebox oldbox;
	int seedItemserial;

	int scriptnum;
	int effekt1;
	int effekt2;
	int effekt3;
	int effekt4;
	int intervall;
	unsigned long int lastUpdateTime;

	bool fileToVect(int num, std::vector<std::pair<short,short> >& v);
	void vectToUniverse(std::vector<std::pair<short,short> >& v);

	inline bool coordstoArray(int x, int y, int &array_x, int &array_y);
	inline int neightbourStatus(int x, int y); // 
	inline bool neightbourStatusHelper(int x, int y, int dx, int dy);

	void copytmpUniversetoUniverse(int x_min, int y_min, int x_max, int y_max);
	int createSeeditem(void);

	int generation;
};

#endif
