/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#ifndef __GUMPS_H__
#define __GUMPS_H__

#include "platform.h"
#include "typedefs.h"
#include <stdio.h>
#include "cGumps.h"

class cGump
{
public:
	void Button(P_PLAYER Player, SERIAL serial, unsigned int button,  int type);
	void Input(P_PLAYER Player);
	void Menu(UOXSOCKET s, int m, P_ITEM Sign=NULL);
	void Open(int s, int serial, int num, int num2);
	void RuneBook(int s, int type, P_ITEM Book);
	void RuneBookButton(P_PLAYER Player, unsigned int button,  P_ITEM Book);
};

void choice(P_PLAYER Player, int main, int sub);
void entrygump(int s, SERIAL serial, unsigned char type, char index, short int maxlength, char *text1);
void gmmenu(P_PLAYER Player, int m);
void itemmenu(P_PLAYER Player, int m);
void playermenu(P_PLAYER Player, int type, char* filter);
void tweakmenu(UOXSOCKET, SERIAL);
void whomenu(P_PLAYER Player, int type, char* filter, int searchbyaccount);

// LB 4-5-2k3
class CTithing
{
    public:
		CTithing::CTithing(void);
		virtual~CTithing(void);
		void showTithingGump(UOXSOCKET s);			
	    void ButtonHandler(P_PLAYER Player, int id, unsigned int subid);
		void setGoldandTithing(int gold, int tithing);
	
	private:

		CGumps<0x0300>*DaGump;		
		const int okButtonId;
		const int outerleftButtonId;
		const int leftButtonId;
		const int rightButtonId;
		const int outerrightButtonId;
};

class CAddMenu
{
   public:
		CAddMenu::CAddMenu(int imn, int imnprev);
		virtual~CAddMenu(void);
		inline void showAddGump(UOXSOCKET s) { TheGump->SendGump(s); }			
	    void ButtonHandler(int id, int subid, UOXSOCKET s);		
	
	private:
		CGumps<0x1000>*TheGump;		
};

//SELOS 
class CGmQue 
{ 
    public: 
		CGmQue::CGmQue(void); 
        void showGmQueueGump(UOXSOCKET s); 
        void PageButtonHandler(int id, unsigned int subid, P_CHAR pc); 
    
    private: 
        CGumps<0x0500>*GmPageGump; 
		int PageButton5ID;
		int PageButton4ID;
		int PageButton3ID,PageButton2ID,PageButton1ID, okButtonID;
};


#endif

