/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

/////////////////////
// Name:	itemid.h
// Purpose: interface for itemid.cpp
// History:	by Duke, 24.02.01
//			added some IsWeapon stuff (Duke, 20.4.2001)
//
#ifndef __ITEMID_H__
#define __ITEMID_H__

bool IsCorpse		(short id);
bool IsHair			(short id);
bool IsBeard		(short id);
//bool IsSpellScroll	(short id);	// predefined spells
//bool IsSpellScroll72(short id);	// includes the scrolls with a variable name
bool IsTree			(short id);	// this is used in AxeTarget()
//bool IsTree2		(short id);	// this is used in SwordTarget() to give kindling.
bool IsInstrument	(short id);

bool IsAxe			(short id);// -Fraz- for intelligence concussion
bool IsSword		(short id);
bool IsSwordType	(short id);
bool IsMace1H		(short id);
bool IsMace2H		(short id);
bool IsMaceType		(short id);
bool IsDagger		(short id);
bool IsKryss		(short id);
bool IsFencing1H	(short id);
bool IsFencing2H	(short id);// -Fraz- for paralyzing
bool IsFencingType	(short id);
bool IsBow			(short id);
bool IsCrossbow		(short id);
bool IsHeavyCrossbow(short id);
bool IsBowType		(short id);
bool IsArrowOrBolt	(short id);
bool IsStave		(short id);
bool IsSpecialMace	(short id);// -Fraz- for stamina and armor damage
bool IsChaosOrOrderShield	(short id);
bool IsOrderShield	(short id);
bool IsChaosShield	(short id);
bool IsMetalShield	(short id);
bool IsShield		(short id);
bool IsMetalWeapon	(short id);

bool IsLog		    (short id);
bool IsShaft		(short id);
bool IsBoard		(short id);
bool IsFeather		(short id);
bool IsCutLeather	(short id);
bool IsHide			(short id);
bool IsBoltOfCloth	(short id);
bool IsCutCloth		(short id);
bool IsCloth		(short id);
bool IsChest        (short id);

bool IsForge		(short id);
bool IsAnvil		(short id);
bool IsSpinningWheel(short id);
bool IsArcheryButte (short id);
bool IsSwingingDummy(short id);
bool IsTrainingDummy(short id);
bool IsCookingPlace	(short id);
bool IsCookingTool	(short id);
bool IsRawFood		(short id);

bool IsFish			(short id);
bool IsFishWater	(short id);

bool IsPlateArmour	(short id);
bool IsBoneArmour	(short id);
bool IsChainArmour	(short id);
bool IsRingArmour	(short id);
bool IsStuddedArmour(short id);
bool IsLeatherArmour(short id);
bool IsMetalArmour	(short id);
bool isFemaleArmour	(short id);

bool IsSign			(short id);
bool IsLargeHouse	(short id);

bool IsGrowingCotton(short id);
bool IsRipeCotton	(short id);
bool IsGrowingWheat	(short id);
bool IsRipeWheat	(short id);
bool IsRipeGarlic	(short id);
bool IsRipeGinseng	(short id);
bool IsRipeMandrake	(short id);
bool IsRipeNightshade	(short id);
bool IsGrowingPlant	(short id);
bool IsRipePlant	(short id);

bool IsEmptyMill	(short id);
bool IsFinishedMill	(short id);

bool IsTillerman	(short id);
bool IsOpenPlank	(short id);
bool IsClosedPlank	(short id);
bool IsPlank		(short id);
bool IsHatch		(short id);

bool IsMountItem	(short id);


#endif
