/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

// speech.h: interface for speech.cpp
//
//////////////////////////////////////////////////////////////////////

#if !defined(__SPEECH_H__)
#define __SPEECH_H__ 

#include "platform.h"
#include "typedefs.h"

#include <string>
using namespace std ;

int preProcessRawspeechData(UOXSOCKET s);
void char2wchar (const char* str);
void utf8_to_unicode_string(const unsigned char *utf8, int insize, int &outsize, wchar_t* out);
void unicode_to_char(wchar_t *unicode, int size, bool bigendian, unsigned char* out);

void responsevendor(UOXSOCKET s, int vendor);
void talking(P_PLAYER Player, string);

#endif
 
