/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined(__TRIGGER_H__)
#define __TRIGGER_H__

#include "platform.h"
#include "typedefs.h"

int checkenvoke(short id);
void triggernpc(P_PLAYER Player,P_CHAR Tc, int ttype);
void triggerItem(P_CHAR pc, P_ITEM Ti);
void triggerItem(P_PLAYER Player, P_ITEM Ti);
void triggerItemId(P_PLAYER Player, P_ITEM Ti);

class cTriggerContext   // to store data that is passed between trigger-tags 
{ 
public: 
	P_ITEM EnvItem; 
	P_ITEM TrigItem; 
	P_CHAR TrigChar; 
	P_ITEM NeedItem; 
	P_ITEM SpawnedItem; 
	P_CHAR Spawned;      // npc spawned by NADD 
	int coloring; 
	int FollowupTrigger; 
	short memColor; 
	char cmsg[512];      // completed trigger message 
	char fmsg[512];      // trigger failure message 
	char tempname2[512]; 
	char needname[100];   // name of the NEEDed item 
	
	void Init();
};


#endif

