#!/usr/bin/perl

use DBI;


open (IN, "< npc.scp") if ( -e "npc.scp" );
open (OUT, ">> /tmp/npc.csv") ;


$user="root";
$pwd="";
$host="localhost";
$db="lonewolfdb";

$lf="\n";

my $dbh = DBI->connect("DBI:mysql:database=$db;host=$host",
                                "$user", "$pwd",
                                {'RaiseError' => 1}) or die "Connecting : $DBI::errstr\n";


my $sth = $dbh->prepare("SELECT category_npc from NPC GROUP by category_npc");
$sth->execute();

if ($sth->rows > 0){

	while (my $myrow = $sth->fetchrow_hashref()) {
		print OUT $myrow->{'category_npc'}.$lf."{".$lf;
		my $sth2 = $dbh->prepare("SELECT subcategory_npc from NPC WHERE category_npc='".
			 	$myrow->{'category_npc'}."' GROUP by subcategory_npc");
		$sth2->execute();


			while (my $myrow2 = $sth2->fetchrow_hashref()) {
				print OUT $myrow2->{'subcategory_npc'}.$lf."{".$lf;
				my $sth3 = $dbh->prepare("SELECT num_npc,desc_npc from NPC WHERE ".
						"category_npc='".$myrow->{'category_npc'}."' ".
        					"AND subcategory_npc='".$myrow2->{'subcategory_npc'}."' order by num_npc");
				$sth3->execute();
					
					while (my $myrow3 = $sth3->fetchrow_hashref()) {
						print OUT $myrow3->{'desc_npc'}."=".$myrow3->{'num_npc'}.$lf;
			
					} # while 3	
			print OUT "}$lf";
			} # while 2
	print OUT "}$lf";
	} # while 1
} #if 

close(IN);
