/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

/////////////////////////////////////////
// Client.cpp: implementation of the cClient class.
//

#include "Client.h"

#include "wolfpack.h"
#include "SndPkg.h"
#include "LwMisc.h"

#include "debug.h"
#undef  DBGFILE
#define DBGFILE "client.cpp"

/////////////
// name:	AllPlayersIterator
// purpose:	intended to replace the now/perm loops
// history:	by Duke, 06.10.2002
//
P_PLAYER AllPlayersIterator::First()
{
	pos = 0;
	return _GetData();
}
P_PLAYER AllPlayersIterator::Next()
{
	pos++;
	return _GetData();
}
P_PLAYER AllPlayersIterator::_GetData()
{
	if (pos < now)
	{
		if (perm[pos])
			return GetData();
		else
			return Next();
	}
	else
		return NULL;
}
P_PLAYER AllPlayersIterator::GetData()
{ 
	return MakePlayerRef(MAKE_CHAR_REF(currchar(pos)));
}

P_PLAYER AllPlayersOnScreenIterator::_GetData()
{
	P_PLAYER pc = AllPlayersIterator::_GetData();
	if (!pc) return NULL;
	if (isonPlayersScreen(_center,pc->pos, 9)) // 9: no bug!
		return GetData();
	else
		return Next();
}

