/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

//  interface for the cClient class.
//
//////////////////////////////////////////////////////////////////////

#ifndef __CLIENT_H__
#define __CLIENT_H__

#include "typedefs.h"
#include "coord.h"

class AllPlayersIterator
{
protected:
	unsigned int pos;
	virtual P_PLAYER _GetData(void);
public:
	AllPlayersIterator()						{ pos = 0; }
	virtual ~AllPlayersIterator()				{ }
	P_PLAYER GetData(void);
	P_PLAYER First();
	P_PLAYER Next();
	AllPlayersIterator& operator++(int/* inc*/)	{ pos++; return *this; }
	inline UOXSOCKET getSocket()				{ return pos; }
};

class AllPlayersOnScreenIterator : public AllPlayersIterator
{
protected:
	cCoord _center;
	virtual P_PLAYER _GetData(void);

public:
	AllPlayersOnScreenIterator(const cCoord& center)	{ pos = 0; _center = center; }
	virtual ~AllPlayersOnScreenIterator()		{ }
};

/////////////////////////////////////////////////
// note: this class will get more usefull later
// *after* login/logout redesign completed.
// 
// LB 27-12-2003
/////////////////////////////////////////////////

#include <string>

class cClientData
{
  public:
	  std::string clientVersion;
};

#endif

