/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined (__LOS_H__)
#define __LOS_H__

#include "typedefs.h"
#include <cstdio>

class cCoord;

#define WALLS_CHIMNEYS 2	// Walls, chimneys, ovens, etc... in the way
#define DOORS 4				// Doors in the way
#define ROOFING_SLANTED 8	// So can't tele onto slanted roofs, basically
#define FLOORS_FLAT_ROOFING 16	//  For attacking between floors
#define LAVA_WATER 32		// Don't know what all to use this for yet
#define LOS_STD_BLOCKERS 22 // (WALLS_CHIMNEYS+DOORS+FLOORS_FLAT_ROOFING)

int line_of_sight(const cCoord& from, const cCoord& to);
int line_of_sight(P_CHAR pc, P_ITEM pi);
int line_of_sight2(const cCoord&, const cCoord&, P_ITEM TargetItem=NULL);


#endif
