/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined (__LWMISC_H__)
#define __LWMISC_H__

#include "typedefs.h"
#include <stdio.h>	// only for FILE and NULL :((

void addgold(P_PLAYER Player, int totgold);
void all_items(int s);
void all_items_except_bp(int s);
void batchcheck(int s);
int bestskill(P_CHAR pc);
int calcGoodValue(int actreg, P_ITEM pi, int value,int goodtype); // by Magius(CHE) for trade system
int calcValue(P_ITEM pi, int value);
void callguards(P_CHAR Caller);
void charcreate(UOXSOCKET s);	// All the character creation stuff
void criminal(P_CHAR pc);
void deathstuff(P_CHAR Victim);
unsigned int dist(const cCoord&, const cCoord&); // Distance between position a and b
void doGmMoveEff(UOXSOCKET s); //gm movement effects
bool DoorIsBlockedByChar(P_ITEM pi);
void dooruse(P_PLAYER Player, P_ITEM pi);
void dosocketmidi(P_PLAYER Player);
void endmessage(int x);
void enlist(P_PLAYER Player, int listnum); // For enlisting in army
void explodeitem(P_CHAR Player, P_ITEM pi);
void Fame(P_CHAR pc, int nFame);
void gcollect();
PC_ITEM GetOutmostCont(PC_ITEM pItem, short rec=50);
P_CHAR GetPackOwner(PC_ITEM pItem, short rec=50);
void goldsfx(P_CHAR pc, int goldtotal);
int hexnumber(int countx);
int hexnumber(int counta,int countb);
int hexnumber(int counta,int countb,int countc,int countd);
void impaction(P_PLAYER Player, int act);
char indungeon(P_CHAR pc);

bool inrange1p(P_CHAR pca, P_CHAR pcb);
//bool isonPlayersScreen(const cCoord & playerpos, const cCoord & thingpos, int extra_margin, int rect);
bool isonPlayersScreen(const cCoord & playerpos, const cCoord & thingpos, int extra_margin);

#define inrange1pl(a,b) _inrange1p(a, b, __LINE__, DBGFILE)
bool _inrange1p(P_CHAR pca, CHARACTER b, int cln, char* cfn);

bool inRange(const cCoord& a, const cCoord& b, int range);
bool inVisRange(const cCoord &a, const cCoord &b);
bool IsDoor(short id);
int isTrueHuman(P_CHAR pc);
bool iteminrange (const P_CHAR Player, const PC_ITEM pi, const int distance);
void itemsfx(P_CHAR pc, short item);
void Karma(P_CHAR pc, P_CHAR Victim, int nKarma);
void loadmetagm();
int makenumber(int countx);
void mounthorse(P_PLAYER Player, P_CHAR Mount);
void npcattacktarget(P_CHAR Attacker, P_CHAR Target);
bool npcinrange (P_CHAR Player, P_CHAR pc, int distance);  //check for horse distance...
void npcsimpleattacktarget(P_CHAR Attacker, P_CHAR Target);
void npcToggleCombat(P_CHAR pc);
void openbank(int s, P_CHAR pc);
void openspecialbank(P_PLAYER Player, P_CHAR pc=NULL);//AntiChrist
void bankcheck(cChar* pBanker, P_PLAYER Player, int amount);
void bankwithdrawal(cChar* pBanker, P_PLAYER Player, int amount);
void RefreshItem(P_ITEM pi);//AntiChrist
void savelog(const char *msg, char *logfile);
void scriptcommand(P_PLAYER Player,  char *script1,  char *script2);
void setabovelight(unsigned char, int region);
void setcharflag(P_CHAR pc);
void splitline();
void StoreItemRandomValue(PC_ITEM pi,int tmpreg); // by Magius(CHE) (2) for trade system
void telltime(P_PLAYER Player);
int unmounthorse(P_CHAR pc);
void wornitems(UOXSOCKET s, P_CHAR pc);
unsigned int itemdistDeluxe(P_CHAR a, const PC_ITEM pi);
void ExternalCommand(UOXSOCKET s, P_PLAYER Player);
bool CVCS(P_PLAYER Player);
void doNPCPopupMenueAction(UOXSOCKET s, P_PLAYER Player);
bool makestring(int countx, char* str, bool upr = true);
void DeleteItemOnLayer(P_CHAR pc, int ly);
void numtoScriptCommand(short num, char* com);
short scriptCommandtoNum(char *sc);
void pdump(UOXSOCKET s, char type, FILE* file);
void pdump(P_PLAYER Player);
void makehousesUnmovable(void);
void makePlayerPosFile(void);
void golSeedItemtoGolObject(P_ITEM seeditem);

int getstatskillvalue(char *stringguy);
void gettokennum(char * s, int num);

//#define debugDelete

#ifdef debugDelete
#define DeleItem(i) dbg_DeleItem(i, __LINE__, DBGFILE)
#else 
#define DeleItem(i) _DeleItem(i)
#endif

#endif
