/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined (__BOUNTY_H__)
#define __BOUNTY_H__

// LoneWolf - Bounty System
// FILE - bounty.h
// DATE - July 17, 2000
//   By - Dupois (dupois@home.com)
//
// Platform Specific
#include "platform.h"

#include "typedefs.h"


// Ask victim if they want to post a bounty on the
// murderer, and if so, then return the amount of the
// reward they want to place on the murderers head.
void BountyAskVictim  ( int nVictimSerial,
                        int nMurdererSerial );

// Create the bounty on the murderer
bool BountyCreate     ( P_CHAR Murderer,
                        int nRewardAmount );

// Remove the bounty from the murderer
bool BountyDelete     ( int nMurdererSerial );

// Check and then withdraw the bounty amount
bool BountyWithdrawGold( P_CHAR pVictim, int nAmount );

#endif

