/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined(__DEFINES_H__)
#define __DEFINES_H__

#define MAXLOOPS 66666
#define MaxZstep 5

#if defined(__BCPLUSPLUS__)
#ifndef max
#define max(a,b)            (((a) > (b)) ? (a) : (b))
#endif

#ifndef min
#define min(a,b)            (((a) < (b)) ? (a) : (b))
#endif
#endif
#if defined(__unix__)
typedef unsigned char BYTE ;
#define SOCKET_ERROR -1
#define INVALID_SOCKET 0xFFFFFFFF

extern "C" {
char *strlwr(char *);
char *strupr(char *);
};

#include <time.h>
extern time_t oldtime,newtime ;

#define SLPMULTI 1000
#define Sleep(sec) usleep(sec * 1000)

#else

#include <winsock2.h>
#ifdef FD_SETSIZE
#undef FD_SETSIZE
#define FD_SETSIZE 512
#endif
#if !defined(_MSC_VER)
#if defined(min)
#undef min
#endif
#if defined(max)
#undef max
#endif
#endif
extern WSADATA wsaData;
extern WORD wVersionRequested;

#endif

#define MAXIMUM 128 // Maximum open connections to server
#define MAXCLIENT MAXIMUM+1
#define MAXSTART 9 // Maximum starting locations


#define MAXBUFFER_REAL   17000  // that's the real buffersize correlating to the client packet buffer
                                // it's 64kb, but you have to consider compression !!! >32 isn't safe.
                                // didn't use 32kb because too much memory (4MB versus 2MB of 17kb)
                                // and I've never seen any packet >10kb on OSI servers.

//////////////////////////////////

#define PSS_UNBUFFERED   0x1
#define PSS_SMARTBUFFER  0x2


#define MAXPAGES 75 // Maximum number of pages in the GM queue
//#define VISRANGE 18 // Visibility for normal items
#define VISRANGE 18   // basicly 18 is correct, but when mixing different metrices we need this one.
// anyway, it will be deleted soon.

#define BUILDRANGE 31 // Visibility for castles and keeps

#define MAXLAYERS 50 // Maximum number of Layers in paperdolls (still not sure how many)
#define CMAX 40 // Maximum parameters in one line (Only for memory reasons)
//////////////////

#define ITEMMENUOFFSET 256
#define MAKEMENUOFFSET 2048
#define TRACKINGMENUOFFSET 4096 // menu offset
#define POLYMORPHMENUOFFSET 8196 // polymorph spell menu offset - AntiChrist (9/99)

// for spinning wheel -vagrant
#define YARN 0
#define THREAD 1

#define MY_CLOCKS_PER_SEC 1000

// Duke's experiment #1
#define EXP1 0

#endif

