/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined(__HOUSE_H__)
#define __HOUSE_H__

#include "platform.h"
#include "typedefs.h"

class cCoord;		// used-in-the-interface
class cMapRectangle;

// House List types
#define H_FRIEND	1	// friend of the house
#define H_BAN		2	// banned from house

PC_ITEM findBoatAt(cCoord& pos);
PC_ITEM findHouseAt(cCoord& pos);
void buildHousePass1(P_PLAYER Player, int i);
void buildHousePass2(P_PLAYER Player, int i);
void buildhouse(P_PLAYER Player, int i, int pass);
void deedhouse(P_PLAYER Player, P_ITEM House); //crackerjack 8/9/99
void makeKeysForHouse(P_PLAYER Player, P_ITEM House, short houseid);
void killkeys(P_ITEM House); // crackerjack 8/11/99
void deedTownHouse(P_PLAYER Player,P_ITEM pi);
void placeTownHouse(P_PLAYER Player, cCoord& pos);
bool initTownHouseArea(P_ITEM House);
cMapRectangle* GetEstate(PC_ITEM House, cMapRectangle& rect);

// house list functions - cj 8/12/99
int on_hlist(PC_ITEM House, int serial);
int add_hlist(P_CHAR pc, P_ITEM House, int t);
bool del_hlist(P_CHAR pc, P_ITEM House);
bool ejectChar(PC_ITEM House, P_CHAR pc);

void house_speech(P_PLAYER Player, char *talk);
int check_house_decay();
bool ishouse(PC_ITEM pi);
bool ishouse(short id);
bool isTent(short id);
void refreshhouse(UOXSOCKET s, P_CHAR Player, P_ITEM House);
bool IsCoOwner(PC_ITEM House, P_CHAR Player);

#endif

