/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

#if !defined(__WALKING_H__)
#define __WALKING_H__

#include "platform.h"
#include "typedefs.h"

class cCoord;

int checkBoundingBox(int xPos, int yPos, int fx1, int fy1, int fz1, int fx2, int fy2);
int checkBoundingCircle(int xPos, int yPos, int fx1, int fy1, int fz1, int radius);
void GetXYfromDir(int dir, int *x, int *y);
void GetXYfromDir(int dir, cCoord& pos);
void npcMovement2(P_CHAR pc_i);//Lag fix -- Zippy
void npcwalk(P_CHAR pc_i, int j, int type);
int validNPCMove(cCoord& newPos, signed char oldz, P_CHAR Npc);
int validNPCMove(cCoord& newPos, signed char oldz, P_CHAR Npc, signed char& zr,  signed char& dispz);
void walking(UOXSOCKET s, P_CHAR pc, int dir, int sequence, cCoord& newPos);
void walking2(P_CHAR pc);

///////////////////////////////////////////////////////////

struct scriptedWalkingData
{
   char dir;
   int steps;
};

#include <vector>
#include "coord.h"

class CScriptedWalking
{
public:
	
	CScriptedWalking::CScriptedWalking(int, P_CHAR Player);
	CScriptedWalking::~CScriptedWalking(void);
	bool nextstep(void);
	void querycurrent(char& dir_curr, cCoord& curr_pos);
private:
	std::vector<scriptedWalkingData> data;
	cCoord start;
	cCoord currpos;
	char currdir;
	bool repeated;
	unsigned long int totalstep;
	int currentlist;
	int currentstepinlist;
	int maxlist;
	void loadscript(int, P_CHAR);
};


#endif 

