/////////////////////////////////////////
//
//	This software is LICENSED material !!
//	see LoneWolf.cpp for details.
//
//

// WorldMain.h: interface for the CWorldMain class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(__WORLDMAIN_H__)
#define __WORLDMAIN_H__ 

#include "platform.h"
#include "typedefs.h"


// System includes

#include <iostream>
#include <cstdio>

using namespace std ;

class CWorldMain
{
public:
	virtual void loadnewworld();
	virtual void savenewworld(char x);
	CWorldMain();
	virtual ~CWorldMain();
	void CheckSaving();

	bool Saving( void );
	void SaveTags(PC_ITEM pi, P_ITEM pDefault, char* &sp);
private:
	int save_counter;//LB, world backup rate
	short state;
	unsigned int LastSaveTime;
	unsigned int SaveStartTime;
	unsigned int SaveEndTime;
	bool isSaving;
	FILE *iWsc, *cWsc;
	unsigned long Cur, Max;

	void SaveChar(P_CHAR pc, P_CHAR Default);
	void SaveItem(P_ITEM pi, P_ITEM Default);
	void checkDecay();
};

void readwscFullLine();
void readwsc2();
void readwsc3();

#endif
 
