#!/bin/sh

BUILDPATH="/home/gimbo-games/projects/lw"
LOGPATH="/home/gimbo-games/logs"
LOGNAME="lw.log"

cd ${BUILDPATH}

rm -r *.old
mv source_of_lonejoy source_of_lonejoy.old

echo -n "----- CVS Started on : " >> ${LOGPATH}/${LOGNAME} && date >> ${LOGPATH}/${LOGNAME} && \
echo " " >> ${LOGPATH}/${LOGNAME} && \

cvs -z3 -d:pserver:lonewolf@195.202.187.35:/usr/cvs_source co source_of_lonejoy >> ${LOGPATH}/${LOGNAME} && \
cvs -z3 -d:pserver:lwscripts@195.202.187.35:/usr/cvs_source co lwscripts && \

echo " " >> ${LOGPATH}/${LOGNAME} && \

cd source_of_lonejoy/src && \

echo -n "----- Compilation Started on : " >> ${LOGPATH}/${LOGNAME} && date >> ${LOGPATH}/${LOGNAME} && \
echo " " >> ${LOGPATH}/${LOGNAME} && \

make -f Makefile.unix 2>&1 >> ${LOGPATH}/${LOGNAME}  && \

echo " " >> ${LOGPATH}/${LOGNAME} && \
echo -n "----- Copying : " >> ${LOGPATH}/${LOGNAME} && date >> ${LOGPATH}/${LOGNAME} && \
echo " " >> ${LOGPATH}/${LOGNAME} && \

tar zcvf /home/gimbo-games/www/uo/files/bin/lonewolf/lonewolf-fbsd.tgz lonewolf && \
rm *.o && rm lonewolf && \
cd .. && \
tar zcvf /home/gimbo-games/www/uo/files/bin/lonewolf/cvs_src.tgz src && \
cd .. && \
tar zcvf /home/gimbo-games/www/uo/files/bin/lonewolf/cvs_scripts.tgz lwscripts && \
cp ${LOGPATH}/${LOGNAME} /home/gimbo-games/www/uo/files/bin/lonewolf/last-log.txt
echo "Well done"

